---
- entityDefinitions:
  - IDI_WorkSet_Set: '{40565aa8-892b-4a36-9a8e-54d55d1c6efe}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_WorkSet;'
    name:      Work Set
    index:     15
    customTagName: workSet
    superclasses:
    - instance: '&IDC_ExecutableReturningInstanceSet;'
    defaultTask: '&IDI_Task_ViewWorkSet;'
    relatedTasks:
    # - instance: '&IDI_Task_ViewWorkData;'
    # - instance: '&IDI_Task_EditWorkData;'
    - instance: '&IDI_Task_ViewWorkSet;'
    - instance: '&IDI_Task_EditWorkSet;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Singular;'
      customTagName: 'singular'
    relationships:
    - instance: '&IDR_Work_Set__has_valid__Class;'
      customTagName: 'validClasses'

  - relationship: '&IDR_Work_Set__has_valid__Class;'
    index: 9
    sourceClassId: '&IDC_WorkSet;'
    type: 'has valid'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__valid_for__Work_Set;'
    singular: no

  - relationship: '&IDR_Class__valid_for__Work_Set;'
    index: 10
    sourceClassId: '&IDC_Class;'
    type: 'valid for'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__has_valid__Class;'
    singular: no

  - workSet: '&IDI_WorkSet_RelatedInstance;'
    name: 'Related Instance'
  - workSet: '&IDI_WorkSet_NewlyCreatedInstance;'
    name: 'Newly Created Instance'
    singular: yes
  - workSet: '&IDI_WorkSet_Person;'
    name: 'Person'
    validClasses:
    - instance: '&IDC_Person;'
  - workSet: '&IDI_WorkSet_PersonSingular;'
    name: 'Person [Singular]'
    validClasses:
    - instance: '&IDC_Person;'
    singular: yes
  - workSet: '&IDI_WorkSet_MethodSingular;'
    name: 'Method [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_ClassSingular;'
    name: 'Class [Singular]'
  - workSet: '&IDI_WorkSet_ClassNonsingular;'
    name: 'Class [Nonsingular]'
    singular: yes
  - workSet: '&IDI_WorkSet_ClassForMethod;'
    name: 'Class for Method'
    singular: yes
  - workSet: '&IDI_WorkSet_ParentClass;'
    name: 'Parent Class'
    singular: yes
  - workSet: '&IDI_WorkSet_AccessModifierSingular;'
    name: 'Access Modifier [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_AccessModifierNonsingular;'
    name: 'Access Modifier [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_SourceClassForRelationship;'
    name: 'Source Class for Relationship'
    singular: yes
  - workSet: '&IDI_WorkSet_DestinationClassForRelationship;'
    name: 'Destination Class for Relationship'
    singular: yes
  - workSet: '&IDI_WorkSet_UserSingular;'
    name: 'User [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_UserNonsingular;'
    name: 'User [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ConditionalSelectAttributeCaseNonsingular;'
    name: 'Conditional Select Attribute Case [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ElementSingular;'
    name: 'Element [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_DataTypeForElementContent;'
    name: 'Data Type for Element Content'
    singular: yes
  - workSet: '&IDI_WorkSet_RelationshipNonsingular;'
    name: 'Relationship [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ClassForInstance;'
    name: 'Class for Instance'
    singular: yes
  - workSet: '&IDI_WorkSet_TaskRelatedInstance;'
    name: 'Task Related Instance'
    singular: yes
  - workSet: '&IDI_WorkSet_InstanceNonsingular;'
    name: 'Instance [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_SiblingRelationship;'
    name: 'Sibling Relationship'
    singular: yes
  - workSet: '&IDI_WorkSet_BuildAttributeMethodComponentNonsingular;'
    name: 'Build Attribute Method Component [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ExternalIDSingular;'
    name: 'External ID [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_ExternalIDNonsingular;'
    name: 'External ID [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ParameterAssignmentSingular;'
    name: 'Parameter Assignment [Singular]'
    singular: yes
  - workSet: '&IDI_WorkSet_ParameterAssignmentNonsingular;'
    name: 'Parameter Assignment [Nonsingular]'
    singular: no
  - workSet: '&IDI_WorkSet_ClassOfInstanceToCreate;'
    name: 'Class of Instance to create'
    singular: yes
  - workSet: '&IDI_WorkSet_Set;'
    name: 'Set'
    singular: no
  - workSet: '&IDI_WorkSet_SetA;'
    name: 'Set A'
    singular: no
  - workSet: '&IDI_WorkSet_SetB;'
    name: 'Set B'
    singular: no
  - workSet: '&IDI_WorkSet_SetAOrB;'
    name: 'Set A or B'
    singular: no
  - workSet: '&IDI_WorkSet_ParentModule;'
    name: 'Parent Module'
    singular: yes